My Project: dgCollisionCompoundFractured::dgConectivityGraph Class Reference

My Project

Public Member Functions | List of all members
dgCollisionCompoundFractured::dgConectivityGraph Class Reference

`#include <dgCollisionCompoundFractured.h>`

Inheritance diagram for dgCollisionCompoundFractured::dgConectivityGraph:

## Public Member Functions

| dgConectivityGraph (dgMemoryAllocator *const allocator)
| dgConectivityGraph (const dgConectivityGraph &source)
| ~dgConectivityGraph ()
dgListNode * | AddNode (dgFlatVertexArray &vertexArray, dgMeshEffect *const factureVisualMesh, dgTreeArray::dgTreeNode *const collisionNode, dgInt32 interiorMaterialBase)
void | Serialize (dgSerialize callback, void *const userData) const
void | Deserialize (dgCollisionCompoundFractured *const source, dgDeserialize callback, void *const userData)
Public Member Functions inherited from dgGraph< dgDebriNodeInfo, dgSharedNodeMesh >
| dgGraph (dgMemoryAllocator *const allocator)
| ~dgGraph ()
dgGraph< dgDebriNodeInfo, dgSharedNodeMesh >::dgListNode * | AddNode ()
void | DeleteNode (typename dgGraph< dgDebriNodeInfo, dgSharedNodeMesh >::dgListNode *const node)
dgGraph< dgDebriNodeInfo, dgSharedNodeMesh >::dgListNode * | GetNodeFromNodeData (dgDebriNodeInfo *const nodeData)
Public Member Functions inherited from dgList< dgGraphNode< dgDebriNodeInfo, dgSharedNodeMesh > >
| dgList (dgMemoryAllocator *const allocator)
virtual | ~dgList ()
dgMemoryAllocator * | GetAllocator () const
void | SetAllocator (dgMemoryAllocator *const allocator)
| operator dgInt32 () const
dgInt32 | GetCount () const
dgListNode * | GetLast () const
dgListNode * | GetFirst () const
dgListNode * | Append ()
dgListNode * | Append (dgListNode *const node)
dgListNode * | Append (const dgGraphNode< dgDebriNodeInfo, dgSharedNodeMesh > &element)
dgListNode * | Addtop ()
dgListNode * | Addtop (dgListNode *const node)
dgListNode * | Addtop (const dgGraphNode< dgDebriNodeInfo, dgSharedNodeMesh > &element)
void | RotateToEnd (dgListNode *const node)
void | RotateToBegin (dgListNode *const node)
void | InsertAfter (dgListNode *const root, dgListNode *const node)
void | InsertBefore (dgListNode *const root, dgListNode *const node)
dgListNode * | Find (const dgGraphNode< dgDebriNodeInfo, dgSharedNodeMesh > &element) const
dgListNode * | GetNodeFromInfo (dgGraphNode< dgDebriNodeInfo, dgSharedNodeMesh > &m_info) const
void | Remove (dgListNode *const node)
void | Remove (const dgGraphNode< dgDebriNodeInfo, dgSharedNodeMesh > &element)
void | RemoveAll ()
void | Merge (dgList< dgGraphNode< dgDebriNodeInfo, dgSharedNodeMesh > > &list)
void | Unlink (dgListNode *const node)
bool | SanityCheck () const

## Constructor & Destructor Documentation

## § dgConectivityGraph() [1/2]

dgCollisionCompoundFractured::dgConectivityGraph::dgConectivityGraph | ( | dgMemoryAllocator *const | allocator | ) |

## § dgConectivityGraph() [2/2]

dgCollisionCompoundFractured::dgConectivityGraph::dgConectivityGraph | ( | const dgConectivityGraph & | source | ) |

## § ~dgConectivityGraph()

dgCollisionCompoundFractured::dgConectivityGraph::~dgConectivityGraph | ( |  | ) |

## Member Function Documentation

## § AddNode()

dgCollisionCompoundFractured::dgConectivityGraph::dgListNode * dgCollisionCompoundFractured::dgConectivityGraph::AddNode | ( | dgFlatVertexArray & | vertexArray,
|  | dgMeshEffect *const | factureVisualMesh,
|  | dgTreeArray::dgTreeNode *const | collisionNode,
|  | dgInt32 | interiorMaterialBase
| ) |  |

## § Deserialize()

void dgCollisionCompoundFractured::dgConectivityGraph::Deserialize | ( | dgCollisionCompoundFractured *const | source,
|  | dgDeserialize | callback,
|  | void *const | userData
| ) |  |

## § Serialize()

void dgCollisionCompoundFractured::dgConectivityGraph::Serialize | ( | dgSerialize | callback,
|  | void *const | userData
| ) |  | const

The documentation for this class was generated from the following files:

- dynamics.mod/NewtonDynamics/source/physics/dgCollisionCompoundFractured.h
- dynamics.mod/NewtonDynamics/source/physics/dgCollisionCompoundFractured.cpp